import unittest
from blacklist import Blacklist

class BlacklistTests(unittest.TestCase):
  def test_empty(self):
    bl = Blacklist()
    self.assertFalse(bl.check("example.com"))
  def test_present(self):
    bl = Blacklist()
    bl.domains = {"com": {"example": {}}}
    self.assertTrue(bl.check("example.com"))
  def test_subdomain(self):
    bl = Blacklist()
    bl.domains = {"com": {"example": {}}}
    self.assertTrue(bl.check("sub.example.com"))
  def test_parentdomain(self):
    bl = Blacklist()
    bl.domains = {"com": {"example": {}}}
    self.assertFalse(bl.check("com"))

if __name__ == '__main__':
  unittest.main()